// ConfigEditor API
// (c) Software-Algorithms.com
// use this file if you want ConfigEditor to notify your application about what it's doing (for example when it is closing)
// example of a typical command line to use notification (assuming your app window handle is 1234):   ConfigEditor.exe /NOTIFY:1234
//////////////////////////////////////////////////////////////////////

#ifndef _CONFIGEDITORAPI_H_INCLUDED_
#define _CONFIGEDITORAPI_H_INCLUDED_

#include <windows.h>

#define CONFIGEDITOR_API_VERSION		1005


//Window message sent to your application window to notify you of things
//to enable this you need to proved the command line parameter /NOTIFY:xxxxx when you run ConfigEditor.exe (xxxx is your HWND window handle that wil be notified)
#define WM_CONFIGEDITOR		WM_APP+7

//type of event is on the WPARAM of the above message, and extra info (if any) for that event is on the LPARAM
#define	WPARAM_STARTED						300			//always sent when ConfigEditor starts, no matter what. The window handle of ConfigEditor is on lParam (so you can use it to position or resize the window using SetWindowPos() function)
#define	WPARAM_SUBMITTED					317			//the user clicked the "Save" button
#define	WPARAM_CANCELLED					319			//the user clicked the "Cancel" button
#define	WPARAM_EXITED						390			//always sent when ConfigEditor exists, no matter what


//this is what ConfigEditor calls when it wants to notify your application
#define WndNotify(hWnd, wParam)	if (hWnd) PostMessage(hWnd, WM_CONFIGEDITOR, (WPARAM)wParam, 0)
#define WndNotify2(hWnd, wParam, lParam)	if (hWnd) PostMessage(hWnd, WM_CONFIGEDITOR, (WPARAM)wParam, (LPARAM)lParam)

#endif // _CONFIGEDITORAPI_H_INCLUDED_
